Returns metadata document for the WriteConcernError

- « MongoDB\Driver\WriteConcernError::getCode

- MongoDB\Driver\WriteConcernError::getMessage »

- PHP Manual
- MongoDB\Driver\WriteConcernError
- Returns metadata document for the WriteConcernError

# MongoDB\Driver\WriteConcernError::getInfo

(mongodb >=1.0.0)

MongoDB\Driver\WriteConcernError::getInfo — Returns metadata document for the WriteConcernError

### Description

final public MongoDB\Driver\WriteConcernError::getInfo(): ?object

### Parameters

This function has no parameters.

### Return Values

Returns the metadata document for the WriteConcernError, or `null` if no metadata is available.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\WriteConcernError::getInfo() example

    <?php

    $manager = new MongoDB\Driver\Manager("mongodb://rs1.example.com,rs2.example.com/?replicaSet=myReplicaSet");

    $bulk = new MongoDB\Driver\BulkWrite;
    $bulk->insert(['x' => 1]);

    $writeConcern = new MongoDB\Driver\WriteConcern(2, 1);

    try {
        $manager->executeBulkWrite('db.collection', $bulk, ['writeConcern' => $writeConcern]);
    } catch(MongoDB\Driver\Exception\BulkWriteException $e) {
        var_dump($e->getWriteResult()->getWriteConcernError()->getInfo());
    }

    ?>

The above example will output something similar to:

    object(stdClass)#1 (1) {
      ["wtimeout"]=>
      bool(true)
    }

### See Also

- » Write Concern reference